> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apimart.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Generación de video VEO3 Oficial

>  - Modo de procesamiento asíncrono, devuelve un ID de tarea para consultas posteriores
- Admite texto-a-video e imagen-a-video (control de primer fotograma / primer y último fotograma)
- Admite resoluciones 720P y 1080P
- Admite duraciones de video de 4/6/8 segundos
- Admite generación de pista de audio
- Admite control de política de generación de personas 

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url https://api.apimart.ai/v1/videos/generations \
    --header 'Authorization: Bearer <token>' \
    --header 'Content-Type: application/json' \
    --data '{
      "model": "veo3.1-fast-official",
      "prompt": "a golden retriever running on the beach, sunset, cinematic",
      "duration": 8,
      "aspect_ratio": "16:9"
    }'
  ```

  ```python Python theme={null}
  import requests

  url = "https://api.apimart.ai/v1/videos/generations"

  payload = {
      "model": "veo3.1-fast-official",
      "prompt": "a golden retriever running on the beach, sunset, cinematic",
      "duration": 8,
      "aspect_ratio": "16:9"
  }

  headers = {
      "Authorization": "Bearer <token>",
      "Content-Type": "application/json"
  }

  response = requests.post(url, json=payload, headers=headers)

  print(response.json())
  ```

  ```javascript JavaScript theme={null}
  const url = "https://api.apimart.ai/v1/videos/generations";

  const payload = {
    model: "veo3.1-fast-official",
    prompt: "a golden retriever running on the beach, sunset, cinematic",
    duration: 8,
    aspect_ratio: "16:9"
  };

  const headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
  };

  fetch(url, {
    method: "POST",
    headers: headers,
    body: JSON.stringify(payload)
  })
    .then(response => response.json())
    .then(data => console.log(data))
    .catch(error => console.error('Error:', error));
  ```

  ```go Go theme={null}
  package main

  import (
      "bytes"
      "encoding/json"
      "fmt"
      "io/ioutil"
      "net/http"
  )

  func main() {
      url := "https://api.apimart.ai/v1/videos/generations"

      payload := map[string]interface{}{
          "model":        "veo3.1-fast-official",
          "prompt":       "a golden retriever running on the beach, sunset, cinematic",
          "duration":     8,
          "aspect_ratio": "16:9",
      }

      jsonData, _ := json.Marshal(payload)

      req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
      req.Header.Set("Authorization", "Bearer <token>")
      req.Header.Set("Content-Type", "application/json")

      client := &http.Client{}
      resp, err := client.Do(req)
      if err != nil {
          panic(err)
      }
      defer resp.Body.Close()

      body, _ := ioutil.ReadAll(resp.Body)
      fmt.Println(string(body))
  }
  ```

  ```java Java theme={null}
  import java.net.http.HttpClient;
  import java.net.http.HttpRequest;
  import java.net.http.HttpResponse;
  import java.net.URI;

  public class Main {
      public static void main(String[] args) throws Exception {
          String url = "https://api.apimart.ai/v1/videos/generations";

          String payload = """
          {
            "model": "veo3.1-fast-official",
            "prompt": "a golden retriever running on the beach, sunset, cinematic",
            "duration": 8,
            "aspect_ratio": "16:9"
          }
          """;

          HttpClient client = HttpClient.newHttpClient();
          HttpRequest request = HttpRequest.newBuilder()
              .uri(URI.create(url))
              .header("Authorization", "Bearer <token>")
              .header("Content-Type", "application/json")
              .POST(HttpRequest.BodyPublishers.ofString(payload))
              .build();

          HttpResponse<String> response = client.send(request,
              HttpResponse.BodyHandlers.ofString());

          System.out.println(response.body());
      }
  }
  ```

  ```php PHP theme={null}
  <?php

  $url = "https://api.apimart.ai/v1/videos/generations";

  $payload = [
      "model" => "veo3.1-fast-official",
      "prompt" => "a golden retriever running on the beach, sunset, cinematic",
      "duration" => 8,
      "aspect_ratio" => "16:9"
  ];

  $ch = curl_init($url);
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
  curl_setopt($ch, CURLOPT_POST, true);
  curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
  curl_setopt($ch, CURLOPT_HTTPHEADER, [
      "Authorization: Bearer <token>",
      "Content-Type: application/json"
  ]);

  $response = curl_exec($ch);
  curl_close($ch);

  echo $response;
  ?>
  ```

  ```ruby Ruby theme={null}
  require 'net/http'
  require 'json'
  require 'uri'

  url = URI("https://api.apimart.ai/v1/videos/generations")

  payload = {
    model: "veo3.1-fast-official",
    prompt: "a golden retriever running on the beach, sunset, cinematic",
    duration: 8,
    aspect_ratio: "16:9"
  }

  http = Net::HTTP.new(url.host, url.port)
  http.use_ssl = true

  request = Net::HTTP::Post.new(url)
  request["Authorization"] = "Bearer <token>"
  request["Content-Type"] = "application/json"
  request.body = payload.to_json

  response = http.request(request)
  puts response.body
  ```

  ```swift Swift theme={null}
  import Foundation

  let url = URL(string: "https://api.apimart.ai/v1/videos/generations")!

  let payload: [String: Any] = [
      "model": "veo3.1-fast-official",
      "prompt": "a golden retriever running on the beach, sunset, cinematic",
      "duration": 8,
      "aspect_ratio": "16:9"
  ]

  var request = URLRequest(url: url)
  request.httpMethod = "POST"
  request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
  request.setValue("application/json", forHTTPHeaderField: "Content-Type")
  request.httpBody = try? JSONSerialization.data(withJSONObject: payload)

  let task = URLSession.shared.dataTask(with: request) { data, response, error in
      if let error = error {
          print("Error: \(error)")
          return
      }

      if let data = data, let responseString = String(data: data, encoding: .utf8) {
          print(responseString)
      }
  }

  task.resume()
  ```

  ```csharp C# theme={null}
  using System;
  using System.Net.Http;
  using System.Text;
  using System.Threading.Tasks;

  class Program
  {
      static async Task Main(string[] args)
      {
          var url = "https://api.apimart.ai/v1/videos/generations";

          var payload = @"{
              ""model"": ""veo3.1-fast-official"",
              ""prompt"": ""a golden retriever running on the beach, sunset, cinematic"",
              ""duration"": 8,
              ""aspect_ratio"": ""16:9""
          }";

          using var client = new HttpClient();
          client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");

          var content = new StringContent(payload, Encoding.UTF8, "application/json");
          var response = await client.PostAsync(url, content);
          var result = await response.Content.ReadAsStringAsync();

          Console.WriteLine(result);
      }
  }
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "code": 200,
    "data": [
      {
        "status": "submitted",
        "task_id": "task_xxxxxxxxxx"
      }
    ]
  }
  ```

  ```json 400 theme={null}
  {
    "error": {
      "code": 400,
      "message": "Invalid request parameters",
      "type": "invalid_request_error"
    }
  }
  ```

  ```json 401 theme={null}
  {
    "error": {
      "code": 401,
      "message": "Authentication failed, please check your API key",
      "type": "authentication_error"
    }
  }
  ```

  ```json 402 theme={null}
  {
    "error": {
      "code": 402,
      "message": "Insufficient account balance, please recharge and try again",
      "type": "payment_required"
    }
  }
  ```

  ```json 429 theme={null}
  {
    "error": {
      "code": 429,
      "message": "Too many requests, please try again later",
      "type": "rate_limit_error"
    }
  }
  ```

  ```json 500 theme={null}
  {
    "error": {
      "code": 500,
      "message": "Internal server error, please try again later",
      "type": "server_error"
    }
  }
  ```
</ResponseExample>

## Autorización

<ParamField header="Authorization" type="string" required>
  Todos los endpoints de la API requieren autenticación mediante Bearer Token

  Obtenga su API Key:

  Visite la [página de gestión de API Keys](https://apimart.ai/keys) para obtener su API Key

  Añádala a la cabecera de la solicitud:

  ```
  Authorization: Bearer YOUR_API_KEY
  ```
</ParamField>

## Parámetros de la solicitud

<ParamField body="model" type="string" required>
  Nombre del modelo de generación de video

  Modelos disponibles:

  * `veo3.1-fast-official` - Veo 3.1 Oficial versión rápida
  * `veo3.1-quality-official` - Veo 3.1 Oficial versión de alta calidad
</ParamField>

<ParamField body="prompt" type="string" required>
  Prompt positivo en texto

  Describa escenas, acciones, estilos, etc. en detalle para obtener mejores resultados. Se recomiendan prompts en inglés.

  Ejemplo: `"a golden retriever running on the beach, sunset, cinematic"`
</ParamField>

<ParamField body="negative_prompt" type="string">
  Prompt negativo para excluir contenido no deseado

  Ejemplo: `"blurry, low quality, watermark, text"`
</ParamField>

<ParamField body="duration" type="integer" default="8">
  Duración del video en segundos

  Valores recomendados: `4` / `6` / `8`

  Predeterminado: `8`

  **Nota:** Debe ser un número puro (por ejemplo, `8`), no añada comillas, de lo contrario se producirá un error
</ParamField>

<ParamField body="aspect_ratio" type="string" default="16:9">
  Proporción del video

  Valores disponibles:

  * `16:9` - Horizontal
  * `9:16` - Vertical

  Predeterminado: `16:9`
</ParamField>

<ParamField body="resolution" type="string" default="720p">
  Resolución del video

  Valores disponibles:

  * `720p` - Resolución estándar
  * `1080p` - Alta definición
  * `4K` - Ultra alta definición

  Predeterminado: `720p`
</ParamField>

<ParamField body="first_frame_image" type="string">
  URL de la imagen del primer fotograma para generación imagen-a-video

  <Warning>
    * La URL de la imagen debe ser accesible públicamente sin protección anti-hotlink
    * Se recomiendan URLs de almacenamiento de objetos en lugar de enlaces de descarga temporales
  </Warning>
</ParamField>

<ParamField body="last_frame_image" type="string">
  URL de la imagen del último fotograma para generación imagen-a-video

  Se usa junto con `first_frame_image` para controlar el primer y el último fotograma
</ParamField>

<ParamField body="seed" type="integer">
  Semilla aleatoria para reproducir los resultados de generación

  Rango de valores: `0` - `4294967295`
</ParamField>

<ParamField body="sample_count" type="integer" default="1">
  Número de muestras a generar (1-4); actualmente se recomienda usar `1`

  Predeterminado: `1`
</ParamField>

<ParamField body="generate_audio" type="boolean" default="false">
  Si se debe generar pista de audio
</ParamField>

<ParamField body="person_generation" type="string" default="allow_adult">
  Política de generación de personas

  Valores disponibles:

  * `allow_adult` - Solo permite generar personas/rostros adultos
  * `disallow` - No permite generar personas o rostros

  Predeterminado: `allow_adult`
</ParamField>

<ParamField body="resize_mode" type="string" default="pad">
  Estrategia de redimensionado de imagen (efectiva para imagen-a-video)

  Valores disponibles:

  * `pad` - Modo de relleno
  * `crop` - Modo de recorte

  Predeterminado: `pad`
</ParamField>

<ParamField body="enhance_prompt" type="boolean" default="true">
  Si se habilita la mejora de prompt upstream

  Predeterminado: `true`

  <Warning>
    * Este parámetro solo puede establecerse en `true`. Establecerlo en `false` provocará un error en la solicitud
    * Si no necesita este parámetro, no lo incluya
  </Warning>
</ParamField>

## Texto-a-video vs Imagen-a-video

El sistema determina automáticamente el modo según si se proporcionan parámetros de imagen: sin imágenes para texto-a-video, con imágenes para imagen-a-video.

| Parámetro           | Texto-a-video | Imagen-a-video              |
| ------------------- | ------------- | --------------------------- |
| `prompt`            | Requerido     | Requerido                   |
| `first_frame_image` | No se usa     | Requerido (al menos uno)    |
| `last_frame_image`  | No se usa     | Opcional (último fotograma) |
| `negative_prompt`   | Opcional      | Opcional                    |
| `duration`          | Opcional      | Opcional                    |
| `aspect_ratio`      | Opcional      | Opcional                    |
| `resolution`        | Opcional      | Opcional                    |
| `seed`              | Opcional      | Opcional                    |
| `generate_audio`    | Opcional      | Opcional                    |
| `person_generation` | Opcional      | Opcional                    |
| `resize_mode`       | No aplicable  | Opcional                    |
| `enhance_prompt`    | Opcional      | Opcional                    |

## Respuesta

<ResponseField name="code" type="integer">
  Código de estado de la respuesta, 200 en caso de éxito
</ResponseField>

<ResponseField name="data" type="array">
  Array de datos de la respuesta

  <Expandable title="Propiedades">
    <ResponseField name="status" type="string">
      Estado de la tarea, inicialmente `submitted` tras el envío
    </ResponseField>

    <ResponseField name="task_id" type="string">
      Identificador único de la tarea para consultar el estado y los resultados
    </ResponseField>
  </Expandable>
</ResponseField>

## Escenarios de uso

### Escenario 1: Texto-a-video (básico)

```json theme={null}
{
  "model": "veo3.1-fast-official",
  "prompt": "a golden retriever running on the beach, sunset, cinematic"
}
```

### Escenario 2: Texto-a-video (parámetros completos)

```json theme={null}
{
  "model": "veo3.1-quality-official",
  "prompt": "a cinematic close-up of a ragdoll cat slowly walking through a sunlit living room",
  "negative_prompt": "blurry, low quality, watermark, text",
  "duration": 8,
  "aspect_ratio": "16:9",
  "resolution": "1080p",
  "seed": 12345,
  "generate_audio": true,
  "person_generation": "disallow",
  "enhance_prompt": true
}
```

### Escenario 3: Imagen-a-video (primer fotograma único)

```json theme={null}
{
  "model": "veo3.1-fast-official",
  "prompt": "the cat slowly walks forward and looks around",
  "first_frame_image": "https://example.com/cat.png",
  "duration": 8,
  "resolution": "720p"
}
```

### Escenario 4: Imagen-a-video (primer fotograma + último fotograma)

```json theme={null}
{
  "model": "veo3.1-quality-official",
  "prompt": "smooth cinematic transition from the first frame to the last frame",
  "first_frame_image": "https://example.com/frame-start.png",
  "last_frame_image": "https://example.com/frame-end.png",
  "duration": 8,
  "resolution": "1080p"
}
```

### Escenario 5: Video con audio

```json theme={null}
{
  "model": "veo3.1-quality-official",
  "prompt": "a busy coffee shop with people chatting and barista making latte art",
  "duration": 8,
  "generate_audio": true,
  "aspect_ratio": "16:9"
}
```

<Note>
  **Consultar los resultados de la tarea**

  La generación de video es una tarea asíncrona que devuelve un `task_id` al enviarla. Use el endpoint [Obtener estado de tarea](/es/api-reference/tasks/status) para consultar el progreso y los resultados de la generación.
</Note>
